petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPQCGGetTrialStepNorm

Gets the norm of a trial step vector. The WCG step may be constrained, so this is not necessarily the length of the ultimate step taken in QCG.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPQCGGetTrialStepNorm(KSP ksp,PetscReal *tsnorm)

Not Collective

### Input Parameter

ksp -the iterative context

### Output Parameter

tsnorm -the norm

Level:advanced
Location:src/ksp/ksp/impls/qcg/qcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages